source: squid-ssl/trunk/fuentes/helpers/basic_auth/SSPI/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 46.9 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94@ENABLE_WIN32SPECIFIC_TRUE@libexec_PROGRAMS =  \
95@ENABLE_WIN32SPECIFIC_TRUE@     basic_sspi_auth$(EXEEXT)
96subdir = helpers/basic_auth/SSPI
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
99        $(top_srcdir)/acinclude/init.m4 \
100        $(top_srcdir)/acinclude/squid-util.m4 \
101        $(top_srcdir)/acinclude/compiler-flags.m4 \
102        $(top_srcdir)/acinclude/os-deps.m4 \
103        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
104        $(top_srcdir)/acinclude/pkg.m4 \
105        $(top_srcdir)/acinclude/lib-checks.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
108        $(top_srcdir)/helpers/basic_auth/modules.m4 \
109        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/modules.m4 \
124        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/modules.m4 \
136        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
138        $(top_srcdir)/helpers/external_acl/modules.m4 \
139        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
143        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
144        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
149        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
150        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
151        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
155        $(top_srcdir)/configure.ac
156am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
157        $(ACLOCAL_M4)
158DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
159mkinstalldirs = $(install_sh) -d
160CONFIG_HEADER = $(top_builddir)/include/autoconf.h
161CONFIG_CLEAN_FILES =
162CONFIG_CLEAN_VPATH_FILES =
163am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
164PROGRAMS = $(libexec_PROGRAMS)
165am_basic_sspi_auth_OBJECTS =  \
166        basic_sspi_auth-basic_sspi_auth.$(OBJEXT) \
167        basic_sspi_auth-valid.$(OBJEXT)
168basic_sspi_auth_OBJECTS = $(am_basic_sspi_auth_OBJECTS)
169@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
170am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
171        $(am__DEPENDENCIES_1)
172am__DEPENDENCIES_3 =
173basic_sspi_auth_DEPENDENCIES = $(am__DEPENDENCIES_2) \
174        $(am__DEPENDENCIES_3)
175AM_V_lt = $(am__v_lt_@AM_V@)
176am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
177am__v_lt_0 = --silent
178am__v_lt_1 =
179basic_sspi_auth_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
180        $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
181        $(basic_sspi_auth_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) \
182        $(LDFLAGS) -o $@
183AM_V_P = $(am__v_P_@AM_V@)
184am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
185am__v_P_0 = false
186am__v_P_1 = :
187AM_V_GEN = $(am__v_GEN_@AM_V@)
188am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
189am__v_GEN_0 = @echo "  GEN     " $@;
190am__v_GEN_1 =
191AM_V_at = $(am__v_at_@AM_V@)
192am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
193am__v_at_0 = @
194am__v_at_1 =
195DEFAULT_INCLUDES =
196depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
197am__depfiles_maybe = depfiles
198am__mv = mv -f
199CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
200        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
201LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
202        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
203        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
204        $(AM_CXXFLAGS) $(CXXFLAGS)
205AM_V_CXX = $(am__v_CXX_@AM_V@)
206am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
207am__v_CXX_0 = @echo "  CXX     " $@;
208am__v_CXX_1 =
209CXXLD = $(CXX)
210CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
211        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
212        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
213AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
214am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
215am__v_CXXLD_0 = @echo "  CXXLD   " $@;
216am__v_CXXLD_1 =
217COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
218        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
219LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
220        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
221        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
222        $(AM_CFLAGS) $(CFLAGS)
223AM_V_CC = $(am__v_CC_@AM_V@)
224am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
225am__v_CC_0 = @echo "  CC      " $@;
226am__v_CC_1 =
227CCLD = $(CC)
228LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
229        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
230        $(AM_LDFLAGS) $(LDFLAGS) -o $@
231AM_V_CCLD = $(am__v_CCLD_@AM_V@)
232am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
233am__v_CCLD_0 = @echo "  CCLD    " $@;
234am__v_CCLD_1 =
235SOURCES = $(basic_sspi_auth_SOURCES)
236DIST_SOURCES = $(basic_sspi_auth_SOURCES)
237am__can_run_installinfo = \
238  case $$AM_UPDATE_INFO_DIR in \
239    n|no|NO) false;; \
240    *) (install-info --version) >/dev/null 2>&1;; \
241  esac
242am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
243am__vpath_adj = case $$p in \
244    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
245    *) f=$$p;; \
246  esac;
247am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
248am__install_max = 40
249am__nobase_strip_setup = \
250  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
251am__nobase_strip = \
252  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
253am__nobase_list = $(am__nobase_strip_setup); \
254  for p in $$list; do echo "$$p $$p"; done | \
255  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
256  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
257    if (++n[$$2] == $(am__install_max)) \
258      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
259    END { for (dir in files) print dir, files[dir] }'
260am__base_list = \
261  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
262  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
263am__uninstall_files_from_dir = { \
264  test -z "$$files" \
265    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
266    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
267         $(am__cd) "$$dir" && rm -f $$files; }; \
268  }
269man8dir = $(mandir)/man8
270NROFF = nroff
271MANS = $(man_MANS)
272am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
273# Read a list of newline-separated strings from the standard input,
274# and print each of them once, without duplicates.  Input order is
275# *not* preserved.
276am__uniquify_input = $(AWK) '\
277  BEGIN { nonempty = 0; } \
278  { items[$$0] = 1; nonempty = 1; } \
279  END { if (nonempty) { for (i in items) print i; }; } \
280'
281# Make sure the list of sources is unique.  This is necessary because,
282# e.g., the same source file might be shared among _SOURCES variables
283# for different programs/libraries.
284am__define_uniq_tagged_files = \
285  list='$(am__tagged_files)'; \
286  unique=`for i in $$list; do \
287    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
288  done | $(am__uniquify_input)`
289ETAGS = etags
290CTAGS = ctags
291am__tty_colors_dummy = \
292  mgn= red= grn= lgn= blu= brg= std=; \
293  am__color_tests=no
294am__tty_colors = { \
295  $(am__tty_colors_dummy); \
296  if test "X$(AM_COLOR_TESTS)" = Xno; then \
297    am__color_tests=no; \
298  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
299    am__color_tests=yes; \
300  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
301    am__color_tests=yes; \
302  fi; \
303  if test $$am__color_tests = yes; then \
304    red='[0;31m'; \
305    grn='[0;32m'; \
306    lgn='[1;32m'; \
307    blu='[1;34m'; \
308    mgn='[0;35m'; \
309    brg='[1m'; \
310    std='[m'; \
311  fi; \
312}
313am__recheck_rx = ^[     ]*:recheck:[    ]*
314am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
315am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
316# A command that, given a newline-separated list of test names on the
317# standard input, print the name of the tests that are to be re-run
318# upon "make recheck".
319am__list_recheck_tests = $(AWK) '{ \
320  recheck = 1; \
321  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
322    { \
323      if (rc < 0) \
324        { \
325          if ((getline line2 < ($$0 ".log")) < 0) \
326            recheck = 0; \
327          break; \
328        } \
329      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
330        { \
331          recheck = 0; \
332          break; \
333        } \
334      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
335        { \
336          break; \
337        } \
338    }; \
339  if (recheck) \
340    print $$0; \
341  close ($$0 ".trs"); \
342  close ($$0 ".log"); \
343}'
344# A command that, given a newline-separated list of test names on the
345# standard input, create the global log from their .trs and .log files.
346am__create_global_log = $(AWK) ' \
347function fatal(msg) \
348{ \
349  print "fatal: making $@: " msg | "cat >&2"; \
350  exit 1; \
351} \
352function rst_section(header) \
353{ \
354  print header; \
355  len = length(header); \
356  for (i = 1; i <= len; i = i + 1) \
357    printf "="; \
358  printf "\n\n"; \
359} \
360{ \
361  copy_in_global_log = 1; \
362  global_test_result = "RUN"; \
363  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
364    { \
365      if (rc < 0) \
366         fatal("failed to read from " $$0 ".trs"); \
367      if (line ~ /$(am__global_test_result_rx)/) \
368        { \
369          sub("$(am__global_test_result_rx)", "", line); \
370          sub("[        ]*$$", "", line); \
371          global_test_result = line; \
372        } \
373      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
374        copy_in_global_log = 0; \
375    }; \
376  if (copy_in_global_log) \
377    { \
378      rst_section(global_test_result ": " $$0); \
379      while ((rc = (getline line < ($$0 ".log"))) != 0) \
380      { \
381        if (rc < 0) \
382          fatal("failed to read from " $$0 ".log"); \
383        print line; \
384      }; \
385      printf "\n"; \
386    }; \
387  close ($$0 ".trs"); \
388  close ($$0 ".log"); \
389}'
390# Restructured Text title.
391am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
392# Solaris 10 'make', and several other traditional 'make' implementations,
393# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
394# by disabling -e (using the XSI extension "set +e") if it's set.
395am__sh_e_setup = case $$- in *e*) set +e;; esac
396# Default flags passed to test drivers.
397am__common_driver_flags = \
398  --color-tests "$$am__color_tests" \
399  --enable-hard-errors "$$am__enable_hard_errors" \
400  --expect-failure "$$am__expect_failure"
401# To be inserted before the command running the test.  Creates the
402# directory for the log if needed.  Stores in $dir the directory
403# containing $f, in $tst the test, in $log the log.  Executes the
404# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
405# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
406# will run the test scripts (or their associated LOG_COMPILER, if
407# thy have one).
408am__check_pre = \
409$(am__sh_e_setup);                                      \
410$(am__vpath_adj_setup) $(am__vpath_adj)                 \
411$(am__tty_colors);                                      \
412srcdir=$(srcdir); export srcdir;                        \
413case "$@" in                                            \
414  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
415    *) am__odir=.;;                                     \
416esac;                                                   \
417test "x$$am__odir" = x"." || test -d "$$am__odir"       \
418  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
419if test -f "./$$f"; then dir=./;                        \
420elif test -f "$$f"; then dir=;                          \
421else dir="$(srcdir)/"; fi;                              \
422tst=$$dir$$f; log='$@';                                 \
423if test -n '$(DISABLE_HARD_ERRORS)'; then               \
424  am__enable_hard_errors=no;                            \
425else                                                    \
426  am__enable_hard_errors=yes;                           \
427fi;                                                     \
428case " $(XFAIL_TESTS) " in                              \
429  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
430    am__expect_failure=yes;;                            \
431  *)                                                    \
432    am__expect_failure=no;;                             \
433esac;                                                   \
434$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
435# A shell command to get the names of the tests scripts with any registered
436# extension removed (i.e., equivalently, the names of the test logs, with
437# the '.log' extension removed).  The result is saved in the shell variable
438# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
439# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
440# since that might cause problem with VPATH rewrites for suffix-less tests.
441# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
442am__set_TESTS_bases = \
443  bases='$(TEST_LOGS)'; \
444  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
445  bases=`echo $$bases`
446RECHECK_LOGS = $(TEST_LOGS)
447AM_RECURSIVE_TARGETS = check recheck
448TEST_SUITE_LOG = test-suite.log
449TEST_EXTENSIONS = @EXEEXT@ .test
450am__test_logs1 = $(TESTS:=.log)
451am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
452TEST_LOGS = $(am__test_logs2:.test.log=.log)
453TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
454TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
455        $(TEST_LOG_FLAGS)
456am__set_b = \
457  case '$@' in \
458    */*) \
459      case '$*' in \
460        */*) b='$*';; \
461          *) b=`echo '$@' | sed 's/\.log$$//'`; \
462       esac;; \
463    *) \
464      b='$*';; \
465  esac
466am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
467        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
468DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
469ACLOCAL = @ACLOCAL@
470ADAPTATION_LIBS = @ADAPTATION_LIBS@
471ALLOCA = @ALLOCA@
472AMTAR = @AMTAR@
473AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
474AR = @AR@
475ARGZ_H = @ARGZ_H@
476AR_R = @AR_R@
477AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
478AUTH_MODULES = @AUTH_MODULES@
479AUTOCONF = @AUTOCONF@
480AUTOHEADER = @AUTOHEADER@
481AUTOMAKE = @AUTOMAKE@
482AWK = @AWK@
483BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
484BUILDCXX = @BUILDCXX@
485BUILDCXXFLAGS = @BUILDCXXFLAGS@
486BZR = @BZR@
487CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
488CC = @CC@
489CCDEPMODE = @CCDEPMODE@
490CFLAGS = @CFLAGS@
491CGIEXT = @CGIEXT@
492CHMOD = @CHMOD@
493CPP = @CPP@
494CPPFLAGS = @CPPFLAGS@
495CPPUNITCONFIG = @CPPUNITCONFIG@
496CRYPTLIB = @CRYPTLIB@
497CXX = @CXX@
498CXXCPP = @CXXCPP@
499CXXDEPMODE = @CXXDEPMODE@
500CXXFLAGS = @CXXFLAGS@
501CYGPATH_W = @CYGPATH_W@
502DEFAULT_HOSTS = @DEFAULT_HOSTS@
503DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
504DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
505DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
506DEFS = @DEFS@
507DEPDIR = @DEPDIR@
508DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
509DISK_LIBS = @DISK_LIBS@
510DISK_LINKOBJS = @DISK_LINKOBJS@
511DISK_MODULES = @DISK_MODULES@
512DISK_OS_LIBS = @DISK_OS_LIBS@
513DISK_PROGRAMS = @DISK_PROGRAMS@
514DLLTOOL = @DLLTOOL@
515DSYMUTIL = @DSYMUTIL@
516DUMPBIN = @DUMPBIN@
517ECAP_LIBS = @ECAP_LIBS@
518ECHO_C = @ECHO_C@
519ECHO_N = @ECHO_N@
520ECHO_T = @ECHO_T@
521EGREP = @EGREP@
522EPOLL_LIBS = @EPOLL_LIBS@
523EUILIB = @EUILIB@
524EXEEXT = @EXEEXT@
525EXPATLIB = @EXPATLIB@
526EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
527EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
528EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
529FALSE = @FALSE@
530FGREP = @FGREP@
531GREP = @GREP@
532HAVE_CXX11 = @HAVE_CXX11@
533ICAP_LIBS = @ICAP_LIBS@
534INCLTDL = @INCLTDL@
535INSTALL = @INSTALL@
536INSTALL_DATA = @INSTALL_DATA@
537INSTALL_PROGRAM = @INSTALL_PROGRAM@
538INSTALL_SCRIPT = @INSTALL_SCRIPT@
539INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
540KRB5INCS = @KRB5INCS@
541KRB5LIBS = @KRB5LIBS@
542LBERLIB = @LBERLIB@
543LD = @LD@
544LDAPLIB = @LDAPLIB@
545LDFLAGS = @LDFLAGS@
546LIBADD_DL = @LIBADD_DL@
547LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
548LIBADD_DLOPEN = @LIBADD_DLOPEN@
549LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
550LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
551LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
552LIBLTDL = @LIBLTDL@
553LIBOBJS = @LIBOBJS@
554LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
555LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
556LIBS = @LIBS@
557LIBSASL = @LIBSASL@
558LIBTOOL = @LIBTOOL@
559LIB_DB = @LIB_DB@
560LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
561LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
562LINUXDOC = @LINUXDOC@
563LIPO = @LIPO@
564LN = @LN@
565LN_S = @LN_S@
566LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
567LTDLDEPS = @LTDLDEPS@
568LTDLINCL = @LTDLINCL@
569LTDLOPEN = @LTDLOPEN@
570LTLIBOBJS = @LTLIBOBJS@
571LT_CONFIG_H = @LT_CONFIG_H@
572LT_DLLOADERS = @LT_DLLOADERS@
573LT_DLPREOPEN = @LT_DLPREOPEN@
574MAINT = @MAINT@
575MAKEINFO = @MAKEINFO@
576MANIFEST_TOOL = @MANIFEST_TOOL@
577MINGW_LIBS = @MINGW_LIBS@
578MKDIR = @MKDIR@
579MKDIR_P = @MKDIR_P@
580MV = @MV@
581NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
582NETTLELIB = @NETTLELIB@
583NM = @NM@
584NMEDIT = @NMEDIT@
585NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
586OBJDUMP = @OBJDUMP@
587OBJEXT = @OBJEXT@
588OTOOL = @OTOOL@
589OTOOL64 = @OTOOL64@
590PACKAGE = @PACKAGE@
591PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
592PACKAGE_NAME = @PACKAGE_NAME@
593PACKAGE_STRING = @PACKAGE_STRING@
594PACKAGE_TARNAME = @PACKAGE_TARNAME@
595PACKAGE_URL = @PACKAGE_URL@
596PACKAGE_VERSION = @PACKAGE_VERSION@
597PATH_SEPARATOR = @PATH_SEPARATOR@
598PERL = @PERL@
599PKG_CONFIG = @PKG_CONFIG@
600PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
601PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
602PO2HTML = @PO2HTML@
603PO2TEXT = @PO2TEXT@
604POD2MAN = @POD2MAN@
605RANLIB = @RANLIB@
606REGEXLIB = @REGEXLIB@
607REPL_LIBS = @REPL_LIBS@
608REPL_OBJS = @REPL_OBJS@
609REPL_POLICIES = @REPL_POLICIES@
610RM = @RM@
611SED = @SED@
612SET_MAKE = @SET_MAKE@
613SH = @SH@
614SHELL = @SHELL@
615SMBCLIENT = @SMBCLIENT@
616SNMPLIB = @SNMPLIB@
617SQUID_CFLAGS = @SQUID_CFLAGS@
618SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
619SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
620SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
621SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
622SSLLIB = @SSLLIB@
623STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
624STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
625STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
626STORE_TESTS = @STORE_TESTS@
627STRIP = @STRIP@
628TR = @TR@
629TRUE = @TRUE@
630URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
631VERSION = @VERSION@
632WBINFO = @WBINFO@
633WIN32_PSAPI = @WIN32_PSAPI@
634XMLLIB = @XMLLIB@
635XTRA_LIBS = @XTRA_LIBS@
636XTRA_OBJS = @XTRA_OBJS@
637abs_builddir = @abs_builddir@
638abs_srcdir = @abs_srcdir@
639abs_top_builddir = @abs_top_builddir@
640abs_top_srcdir = @abs_top_srcdir@
641ac_ct_AR = @ac_ct_AR@
642ac_ct_CC = @ac_ct_CC@
643ac_ct_CXX = @ac_ct_CXX@
644ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
645am__include = @am__include@
646am__leading_dot = @am__leading_dot@
647am__quote = @am__quote@
648am__tar = @am__tar@
649am__untar = @am__untar@
650bindir = @bindir@
651build = @build@
652build_alias = @build_alias@
653build_cpu = @build_cpu@
654build_os = @build_os@
655build_vendor = @build_vendor@
656builddir = @builddir@
657datadir = @datadir@
658datarootdir = @datarootdir@
659docdir = @docdir@
660dvidir = @dvidir@
661exec_prefix = @exec_prefix@
662host = @host@
663host_alias = @host_alias@
664host_cpu = @host_cpu@
665host_os = @host_os@
666host_vendor = @host_vendor@
667htmldir = @htmldir@
668includedir = @includedir@
669infodir = @infodir@
670install_sh = @install_sh@
671krb5_config = @krb5_config@
672libdir = @libdir@
673libexecdir = @libexecdir@
674localedir = @localedir@
675localstatedir = @localstatedir@
676ltdl_LIBOBJS = @ltdl_LIBOBJS@
677ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
678mandir = @mandir@
679mkdir_p = @mkdir_p@
680oldincludedir = @oldincludedir@
681pdfdir = @pdfdir@
682prefix = @prefix@
683program_transform_name = @program_transform_name@
684psdir = @psdir@
685runstatedir = @runstatedir@
686sbindir = @sbindir@
687sharedstatedir = @sharedstatedir@
688srcdir = @srcdir@
689subdirs = @subdirs@
690sys_symbol_underscore = @sys_symbol_underscore@
691sysconfdir = @sysconfdir@
692target_alias = @target_alias@
693top_build_prefix = @top_build_prefix@
694top_builddir = @top_builddir@
695top_srcdir = @top_srcdir@
696AM_CFLAGS = $(SQUID_CFLAGS)
697AM_CXXFLAGS = $(SQUID_CXXFLAGS)
698CLEANFILES =
699AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
700        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
701        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
702        $(am__append_1) -I$(srcdir)
703@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
704@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
705COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
706subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
707basic_sspi_auth_SOURCES = \
708        basic_sspi_auth.cc \
709        valid.cc valid.h
710
711basic_sspi_auth_CXXFLAGS = -Wl,--enable-auto-import
712basic_sspi_auth_LDADD = \
713        $(COMPAT_LIB) \
714        -L$(top_builddir)/lib \
715        -lsspwin32 \
716        -lmiscencoding \
717        -lnetapi32 -ladvapi32 \
718        $(XTRA_LIBS)
719
720man_MANS = basic_sspi_auth.8
721EXTRA_DIST = basic_sspi_auth.8 required.m4
722all: all-am
723
724.SUFFIXES:
725.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
726$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
727        @for dep in $?; do \
728          case '$(am__configure_deps)' in \
729            *$$dep*) \
730              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
731                && { if test -f $@; then exit 0; else break; fi; }; \
732              exit 1;; \
733          esac; \
734        done; \
735        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/basic_auth/SSPI/Makefile'; \
736        $(am__cd) $(top_srcdir) && \
737          $(AUTOMAKE) --foreign helpers/basic_auth/SSPI/Makefile
738Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
739        @case '$?' in \
740          *config.status*) \
741            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
742          *) \
743            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
744            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
745        esac;
746$(top_srcdir)/src/Common.am $(am__empty):
747
748$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
749        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
750
751$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
752        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
753$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
754        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
755$(am__aclocal_m4_deps):
756
757clean-checkPROGRAMS:
758        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
759        echo " rm -f" $$list; \
760        rm -f $$list || exit $$?; \
761        test -n "$(EXEEXT)" || exit 0; \
762        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
763        echo " rm -f" $$list; \
764        rm -f $$list
765install-libexecPROGRAMS: $(libexec_PROGRAMS)
766        @$(NORMAL_INSTALL)
767        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
768        if test -n "$$list"; then \
769          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
770          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
771        fi; \
772        for p in $$list; do echo "$$p $$p"; done | \
773        sed 's/$(EXEEXT)$$//' | \
774        while read p p1; do if test -f $$p \
775         || test -f $$p1 \
776          ; then echo "$$p"; echo "$$p"; else :; fi; \
777        done | \
778        sed -e 'p;s,.*/,,;n;h' \
779            -e 's|.*|.|' \
780            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
781        sed 'N;N;N;s,\n, ,g' | \
782        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
783          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
784            if ($$2 == $$4) files[d] = files[d] " " $$1; \
785            else { print "f", $$3 "/" $$4, $$1; } } \
786          END { for (d in files) print "f", d, files[d] }' | \
787        while read type dir files; do \
788            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
789            test -z "$$files" || { \
790            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
791            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
792            } \
793        ; done
794
795uninstall-libexecPROGRAMS:
796        @$(NORMAL_UNINSTALL)
797        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
798        files=`for p in $$list; do echo "$$p"; done | \
799          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
800              -e 's/$$/$(EXEEXT)/' \
801        `; \
802        test -n "$$list" || exit 0; \
803        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
804        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
805
806clean-libexecPROGRAMS:
807        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
808        echo " rm -f" $$list; \
809        rm -f $$list || exit $$?; \
810        test -n "$(EXEEXT)" || exit 0; \
811        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
812        echo " rm -f" $$list; \
813        rm -f $$list
814
815basic_sspi_auth$(EXEEXT): $(basic_sspi_auth_OBJECTS) $(basic_sspi_auth_DEPENDENCIES) $(EXTRA_basic_sspi_auth_DEPENDENCIES)
816        @rm -f basic_sspi_auth$(EXEEXT)
817        $(AM_V_CXXLD)$(basic_sspi_auth_LINK) $(basic_sspi_auth_OBJECTS) $(basic_sspi_auth_LDADD) $(LIBS)
818
819mostlyclean-compile:
820        -rm -f *.$(OBJEXT)
821
822distclean-compile:
823        -rm -f *.tab.c
824
825@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_sspi_auth-basic_sspi_auth.Po@am__quote@
826@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_sspi_auth-valid.Po@am__quote@
827
828.cc.o:
829@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
830@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
831@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
832@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
833@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
834@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
835
836.cc.obj:
837@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
838@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
839@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
840@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
841@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
842@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
843
844.cc.lo:
845@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
846@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
847@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
848@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
849@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
850@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
851
852basic_sspi_auth-basic_sspi_auth.o: basic_sspi_auth.cc
853@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_sspi_auth_CXXFLAGS) $(CXXFLAGS) -MT basic_sspi_auth-basic_sspi_auth.o -MD -MP -MF $(DEPDIR)/basic_sspi_auth-basic_sspi_auth.Tpo -c -o basic_sspi_auth-basic_sspi_auth.o `test -f 'basic_sspi_auth.cc' || echo '$(srcdir)/'`basic_sspi_auth.cc
854@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/basic_sspi_auth-basic_sspi_auth.Tpo $(DEPDIR)/basic_sspi_auth-basic_sspi_auth.Po
855@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='basic_sspi_auth.cc' object='basic_sspi_auth-basic_sspi_auth.o' libtool=no @AMDEPBACKSLASH@
856@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
857@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_sspi_auth_CXXFLAGS) $(CXXFLAGS) -c -o basic_sspi_auth-basic_sspi_auth.o `test -f 'basic_sspi_auth.cc' || echo '$(srcdir)/'`basic_sspi_auth.cc
858
859basic_sspi_auth-basic_sspi_auth.obj: basic_sspi_auth.cc
860@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_sspi_auth_CXXFLAGS) $(CXXFLAGS) -MT basic_sspi_auth-basic_sspi_auth.obj -MD -MP -MF $(DEPDIR)/basic_sspi_auth-basic_sspi_auth.Tpo -c -o basic_sspi_auth-basic_sspi_auth.obj `if test -f 'basic_sspi_auth.cc'; then $(CYGPATH_W) 'basic_sspi_auth.cc'; else $(CYGPATH_W) '$(srcdir)/basic_sspi_auth.cc'; fi`
861@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/basic_sspi_auth-basic_sspi_auth.Tpo $(DEPDIR)/basic_sspi_auth-basic_sspi_auth.Po
862@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='basic_sspi_auth.cc' object='basic_sspi_auth-basic_sspi_auth.obj' libtool=no @AMDEPBACKSLASH@
863@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
864@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_sspi_auth_CXXFLAGS) $(CXXFLAGS) -c -o basic_sspi_auth-basic_sspi_auth.obj `if test -f 'basic_sspi_auth.cc'; then $(CYGPATH_W) 'basic_sspi_auth.cc'; else $(CYGPATH_W) '$(srcdir)/basic_sspi_auth.cc'; fi`
865
866basic_sspi_auth-valid.o: valid.cc
867@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_sspi_auth_CXXFLAGS) $(CXXFLAGS) -MT basic_sspi_auth-valid.o -MD -MP -MF $(DEPDIR)/basic_sspi_auth-valid.Tpo -c -o basic_sspi_auth-valid.o `test -f 'valid.cc' || echo '$(srcdir)/'`valid.cc
868@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/basic_sspi_auth-valid.Tpo $(DEPDIR)/basic_sspi_auth-valid.Po
869@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='valid.cc' object='basic_sspi_auth-valid.o' libtool=no @AMDEPBACKSLASH@
870@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
871@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_sspi_auth_CXXFLAGS) $(CXXFLAGS) -c -o basic_sspi_auth-valid.o `test -f 'valid.cc' || echo '$(srcdir)/'`valid.cc
872
873basic_sspi_auth-valid.obj: valid.cc
874@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_sspi_auth_CXXFLAGS) $(CXXFLAGS) -MT basic_sspi_auth-valid.obj -MD -MP -MF $(DEPDIR)/basic_sspi_auth-valid.Tpo -c -o basic_sspi_auth-valid.obj `if test -f 'valid.cc'; then $(CYGPATH_W) 'valid.cc'; else $(CYGPATH_W) '$(srcdir)/valid.cc'; fi`
875@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/basic_sspi_auth-valid.Tpo $(DEPDIR)/basic_sspi_auth-valid.Po
876@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='valid.cc' object='basic_sspi_auth-valid.obj' libtool=no @AMDEPBACKSLASH@
877@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
878@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(basic_sspi_auth_CXXFLAGS) $(CXXFLAGS) -c -o basic_sspi_auth-valid.obj `if test -f 'valid.cc'; then $(CYGPATH_W) 'valid.cc'; else $(CYGPATH_W) '$(srcdir)/valid.cc'; fi`
879
880mostlyclean-libtool:
881        -rm -f *.lo
882
883clean-libtool:
884        -rm -rf .libs _libs
885install-man8: $(man_MANS)
886        @$(NORMAL_INSTALL)
887        @list1=''; \
888        list2='$(man_MANS)'; \
889        test -n "$(man8dir)" \
890          && test -n "`echo $$list1$$list2`" \
891          || exit 0; \
892        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
893        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
894        { for i in $$list1; do echo "$$i"; done;  \
895        if test -n "$$list2"; then \
896          for i in $$list2; do echo "$$i"; done \
897            | sed -n '/\.8[a-z]*$$/p'; \
898        fi; \
899        } | while read p; do \
900          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
901          echo "$$d$$p"; echo "$$p"; \
902        done | \
903        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
904              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
905        sed 'N;N;s,\n, ,g' | { \
906        list=; while read file base inst; do \
907          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
908            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
909            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
910          fi; \
911        done; \
912        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
913        while read files; do \
914          test -z "$$files" || { \
915            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
916            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
917        done; }
918
919uninstall-man8:
920        @$(NORMAL_UNINSTALL)
921        @list=''; test -n "$(man8dir)" || exit 0; \
922        files=`{ for i in $$list; do echo "$$i"; done; \
923        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
924          sed -n '/\.8[a-z]*$$/p'; \
925        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
926              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
927        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
928
929ID: $(am__tagged_files)
930        $(am__define_uniq_tagged_files); mkid -fID $$unique
931tags: tags-am
932TAGS: tags
933
934tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
935        set x; \
936        here=`pwd`; \
937        $(am__define_uniq_tagged_files); \
938        shift; \
939        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
940          test -n "$$unique" || unique=$$empty_fix; \
941          if test $$# -gt 0; then \
942            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
943              "$$@" $$unique; \
944          else \
945            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
946              $$unique; \
947          fi; \
948        fi
949ctags: ctags-am
950
951CTAGS: ctags
952ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
953        $(am__define_uniq_tagged_files); \
954        test -z "$(CTAGS_ARGS)$$unique" \
955          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
956             $$unique
957
958GTAGS:
959        here=`$(am__cd) $(top_builddir) && pwd` \
960          && $(am__cd) $(top_srcdir) \
961          && gtags -i $(GTAGS_ARGS) "$$here"
962cscopelist: cscopelist-am
963
964cscopelist-am: $(am__tagged_files)
965        list='$(am__tagged_files)'; \
966        case "$(srcdir)" in \
967          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
968          *) sdir=$(subdir)/$(srcdir) ;; \
969        esac; \
970        for i in $$list; do \
971          if test -f "$$i"; then \
972            echo "$(subdir)/$$i"; \
973          else \
974            echo "$$sdir/$$i"; \
975          fi; \
976        done >> $(top_builddir)/cscope.files
977
978distclean-tags:
979        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
980
981# Recover from deleted '.trs' file; this should ensure that
982# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
983# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
984# to avoid problems with "make -n".
985.log.trs:
986        rm -f $< $@
987        $(MAKE) $(AM_MAKEFLAGS) $<
988
989# Leading 'am--fnord' is there to ensure the list of targets does not
990# expand to empty, as could happen e.g. with make check TESTS=''.
991am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
992am--force-recheck:
993        @:
994
995$(TEST_SUITE_LOG): $(TEST_LOGS)
996        @$(am__set_TESTS_bases); \
997        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
998        redo_bases=`for i in $$bases; do \
999                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1000                    done`; \
1001        if test -n "$$redo_bases"; then \
1002          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1003          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1004          if $(am__make_dryrun); then :; else \
1005            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1006          fi; \
1007        fi; \
1008        if test -n "$$am__remaking_logs"; then \
1009          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1010               "recursion detected" >&2; \
1011        elif test -n "$$redo_logs"; then \
1012          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1013        fi; \
1014        if $(am__make_dryrun); then :; else \
1015          st=0;  \
1016          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1017          for i in $$redo_bases; do \
1018            test -f $$i.trs && test -r $$i.trs \
1019              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1020            test -f $$i.log && test -r $$i.log \
1021              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1022          done; \
1023          test $$st -eq 0 || exit 1; \
1024        fi
1025        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1026        ws='[   ]'; \
1027        results=`for b in $$bases; do echo $$b.trs; done`; \
1028        test -n "$$results" || results=/dev/null; \
1029        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1030        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1031        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1032        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1033        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1034        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1035        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1036        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1037          success=true; \
1038        else \
1039          success=false; \
1040        fi; \
1041        br='==================='; br=$$br$$br$$br$$br; \
1042        result_count () \
1043        { \
1044            if test x"$$1" = x"--maybe-color"; then \
1045              maybe_colorize=yes; \
1046            elif test x"$$1" = x"--no-color"; then \
1047              maybe_colorize=no; \
1048            else \
1049              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1050            fi; \
1051            shift; \
1052            desc=$$1 count=$$2; \
1053            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1054              color_start=$$3 color_end=$$std; \
1055            else \
1056              color_start= color_end=; \
1057            fi; \
1058            echo "$${color_start}# $$desc $$count$${color_end}"; \
1059        }; \
1060        create_testsuite_report () \
1061        { \
1062          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1063          result_count $$1 "PASS: " $$pass  "$$grn"; \
1064          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1065          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1066          result_count $$1 "FAIL: " $$fail  "$$red"; \
1067          result_count $$1 "XPASS:" $$xpass "$$red"; \
1068          result_count $$1 "ERROR:" $$error "$$mgn"; \
1069        }; \
1070        {                                                               \
1071          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1072            $(am__rst_title);                                           \
1073          create_testsuite_report --no-color;                           \
1074          echo;                                                         \
1075          echo ".. contents:: :depth: 2";                               \
1076          echo;                                                         \
1077          for b in $$bases; do echo $$b; done                           \
1078            | $(am__create_global_log);                                 \
1079        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1080        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1081        if $$success; then                                              \
1082          col="$$grn";                                                  \
1083         else                                                           \
1084          col="$$red";                                                  \
1085          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1086        fi;                                                             \
1087        echo "$${col}$$br$${std}";                                      \
1088        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1089        echo "$${col}$$br$${std}";                                      \
1090        create_testsuite_report --maybe-color;                          \
1091        echo "$$col$$br$$std";                                          \
1092        if $$success; then :; else                                      \
1093          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1094          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1095            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1096          fi;                                                           \
1097          echo "$$col$$br$$std";                                        \
1098        fi;                                                             \
1099        $$success || exit 1
1100
1101check-TESTS:
1102        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1103        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1104        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1105        @set +e; $(am__set_TESTS_bases); \
1106        log_list=`for i in $$bases; do echo $$i.log; done`; \
1107        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1108        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1109        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1110        exit $$?;
1111recheck: all $(check_PROGRAMS)
1112        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1113        @set +e; $(am__set_TESTS_bases); \
1114        bases=`for i in $$bases; do echo $$i; done \
1115                 | $(am__list_recheck_tests)` || exit 1; \
1116        log_list=`for i in $$bases; do echo $$i.log; done`; \
1117        log_list=`echo $$log_list`; \
1118        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1119                am__force_recheck=am--force-recheck \
1120                TEST_LOGS="$$log_list"; \
1121        exit $$?
1122.test.log:
1123        @p='$<'; \
1124        $(am__set_b); \
1125        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1126        --log-file $$b.log --trs-file $$b.trs \
1127        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1128        "$$tst" $(AM_TESTS_FD_REDIRECT)
1129@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1130@am__EXEEXT_TRUE@       @p='$<'; \
1131@am__EXEEXT_TRUE@       $(am__set_b); \
1132@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1133@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1134@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1135@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1136
1137distdir: $(DISTFILES)
1138        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1139        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1140        list='$(DISTFILES)'; \
1141          dist_files=`for file in $$list; do echo $$file; done | \
1142          sed -e "s|^$$srcdirstrip/||;t" \
1143              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1144        case $$dist_files in \
1145          */*) $(MKDIR_P) `echo "$$dist_files" | \
1146                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1147                           sort -u` ;; \
1148        esac; \
1149        for file in $$dist_files; do \
1150          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1151          if test -d $$d/$$file; then \
1152            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1153            if test -d "$(distdir)/$$file"; then \
1154              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1155            fi; \
1156            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1157              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1158              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1159            fi; \
1160            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1161          else \
1162            test -f "$(distdir)/$$file" \
1163            || cp -p $$d/$$file "$(distdir)/$$file" \
1164            || exit 1; \
1165          fi; \
1166        done
1167check-am: all-am
1168        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1169        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1170check: check-am
1171all-am: Makefile $(PROGRAMS) $(MANS)
1172installdirs:
1173        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1174          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1175        done
1176install: install-am
1177install-exec: install-exec-am
1178install-data: install-data-am
1179uninstall: uninstall-am
1180
1181install-am: all-am
1182        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1183
1184installcheck: installcheck-am
1185install-strip:
1186        if test -z '$(STRIP)'; then \
1187          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1188            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1189              install; \
1190        else \
1191          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1192            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1193            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1194        fi
1195mostlyclean-generic:
1196        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1197        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1198        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1199
1200clean-generic:
1201        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1202
1203distclean-generic:
1204        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1205        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1206
1207maintainer-clean-generic:
1208        @echo "This command is intended for maintainers to use"
1209        @echo "it deletes files that may require special tools to rebuild."
1210clean: clean-am
1211
1212clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1213        clean-libtool mostlyclean-am
1214
1215distclean: distclean-am
1216        -rm -rf ./$(DEPDIR)
1217        -rm -f Makefile
1218distclean-am: clean-am distclean-compile distclean-generic \
1219        distclean-tags
1220
1221dvi: dvi-am
1222
1223dvi-am:
1224
1225html: html-am
1226
1227html-am:
1228
1229info: info-am
1230
1231info-am:
1232
1233install-data-am: install-man
1234
1235install-dvi: install-dvi-am
1236
1237install-dvi-am:
1238
1239install-exec-am: install-libexecPROGRAMS
1240
1241install-html: install-html-am
1242
1243install-html-am:
1244
1245install-info: install-info-am
1246
1247install-info-am:
1248
1249install-man: install-man8
1250
1251install-pdf: install-pdf-am
1252
1253install-pdf-am:
1254
1255install-ps: install-ps-am
1256
1257install-ps-am:
1258
1259installcheck-am:
1260
1261maintainer-clean: maintainer-clean-am
1262        -rm -rf ./$(DEPDIR)
1263        -rm -f Makefile
1264maintainer-clean-am: distclean-am maintainer-clean-generic
1265
1266mostlyclean: mostlyclean-am
1267
1268mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1269        mostlyclean-libtool
1270
1271pdf: pdf-am
1272
1273pdf-am:
1274
1275ps: ps-am
1276
1277ps-am:
1278
1279uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1280
1281uninstall-man: uninstall-man8
1282
1283.MAKE: check-am install-am install-strip
1284
1285.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1286        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1287        clean-libtool cscopelist-am ctags ctags-am distclean \
1288        distclean-compile distclean-generic distclean-libtool \
1289        distclean-tags distdir dvi dvi-am html html-am info info-am \
1290        install install-am install-data install-data-am install-dvi \
1291        install-dvi-am install-exec install-exec-am install-html \
1292        install-html-am install-info install-info-am \
1293        install-libexecPROGRAMS install-man install-man8 install-pdf \
1294        install-pdf-am install-ps install-ps-am install-strip \
1295        installcheck installcheck-am installdirs maintainer-clean \
1296        maintainer-clean-generic mostlyclean mostlyclean-compile \
1297        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1298        recheck tags tags-am uninstall uninstall-am \
1299        uninstall-libexecPROGRAMS uninstall-man uninstall-man8
1300
1301.PRECIOUS: Makefile
1302
1303
1304$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1305
1306# Tell versions [3.59,3.63) of GNU make to not export all variables.
1307# Otherwise a system limit (for SysV at least) may be exceeded.
1308.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.